import * as cdk from '@aws-cdk/core';
/**
 * Schema for Module Fragment of type JFrog::Xray::EC2Instance::MODULE.
 *
 * @schema CfnModuleProps
 */
export interface CfnModuleProps {
    /**
     * @schema CfnModuleProps#Parameters
     */
    readonly parameters?: CfnModulePropsParameters;
    /**
     * @schema CfnModuleProps#Resources
     */
    readonly resources?: CfnModulePropsResources;
}
/**
 * Converts an object of type 'CfnModuleProps' to JSON representation.
 */
export declare function toJson_CfnModuleProps(obj: CfnModuleProps | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParameters
 */
export interface CfnModulePropsParameters {
    /**
     * Logical Id of the MODULE.
     *
     * @schema CfnModulePropsParameters#LogicalId
     */
    readonly logicalId?: CfnModulePropsParametersLogicalId;
    /**
     * ID of the private subnet in Availability Zone 2 of your existing VPC (e.g., subnet-z0376dab).
     *
     * @schema CfnModulePropsParameters#PrivateSubnet2Id
     */
    readonly privateSubnet2Id?: CfnModulePropsParametersPrivateSubnet2Id;
    /**
     * ID of the private subnet in Availability Zone 1 of your existing VPC (e.g., subnet-z0376dab).
     *
     * @schema CfnModulePropsParameters#PrivateSubnet1Id
     */
    readonly privateSubnet1Id?: CfnModulePropsParametersPrivateSubnet1Id;
    /**
     * @schema CfnModulePropsParameters#KeyPairName
     */
    readonly keyPairName?: CfnModulePropsParametersKeyPairName;
    /**
     * @schema CfnModulePropsParameters#MinScalingNodes
     */
    readonly minScalingNodes?: CfnModulePropsParametersMinScalingNodes;
    /**
     * @schema CfnModulePropsParameters#MaxScalingNodes
     */
    readonly maxScalingNodes?: CfnModulePropsParametersMaxScalingNodes;
    /**
     * @schema CfnModulePropsParameters#DeploymentTag
     */
    readonly deploymentTag?: CfnModulePropsParametersDeploymentTag;
    /**
     * JFrog Artifactory product you want to install into an AMI.
     *
     * @schema CfnModulePropsParameters#ArtifactoryProduct
     */
    readonly artifactoryProduct?: CfnModulePropsParametersArtifactoryProduct;
    /**
     * @schema CfnModulePropsParameters#QsS3BucketName
     */
    readonly qsS3BucketName?: CfnModulePropsParametersQsS3BucketName;
    /**
     * @schema CfnModulePropsParameters#QsS3KeyPrefix
     */
    readonly qsS3KeyPrefix?: CfnModulePropsParametersQsS3KeyPrefix;
    /**
     * @schema CfnModulePropsParameters#QsS3Uri
     */
    readonly qsS3Uri?: CfnModulePropsParametersQsS3Uri;
    /**
     * @schema CfnModulePropsParameters#DatabaseDriver
     */
    readonly databaseDriver?: CfnModulePropsParametersDatabaseDriver;
    /**
     * @schema CfnModulePropsParameters#DatabaseType
     */
    readonly databaseType?: CfnModulePropsParametersDatabaseType;
    /**
     * @schema CfnModulePropsParameters#DatabaseUser
     */
    readonly databaseUser?: CfnModulePropsParametersDatabaseUser;
    /**
     * @schema CfnModulePropsParameters#DatabasePassword
     */
    readonly databasePassword?: CfnModulePropsParametersDatabasePassword;
    /**
     * @schema CfnModulePropsParameters#MasterKey
     */
    readonly masterKey?: CfnModulePropsParametersMasterKey;
    /**
     * @schema CfnModulePropsParameters#ExtraJavaOptions
     */
    readonly extraJavaOptions?: CfnModulePropsParametersExtraJavaOptions;
    /**
     * @schema CfnModulePropsParameters#SecurityGroups
     */
    readonly securityGroups?: CfnModulePropsParametersSecurityGroups;
    /**
     * @schema CfnModulePropsParameters#XrayHostProfile
     */
    readonly xrayHostProfile?: CfnModulePropsParametersXrayHostProfile;
    /**
     * @schema CfnModulePropsParameters#XrayHostRole
     */
    readonly xrayHostRole?: CfnModulePropsParametersXrayHostRole;
    /**
     * @schema CfnModulePropsParameters#XrayInstanceType
     */
    readonly xrayInstanceType?: CfnModulePropsParametersXrayInstanceType;
    /**
     * @schema CfnModulePropsParameters#JfrogInternalUrl
     */
    readonly jfrogInternalUrl?: CfnModulePropsParametersJfrogInternalUrl;
    /**
     * @schema CfnModulePropsParameters#VolumeSize
     */
    readonly volumeSize?: CfnModulePropsParametersVolumeSize;
    /**
     * @schema CfnModulePropsParameters#XrayDatabaseUser
     */
    readonly xrayDatabaseUser?: CfnModulePropsParametersXrayDatabaseUser;
    /**
     * @schema CfnModulePropsParameters#XrayDatabasePassword
     */
    readonly xrayDatabasePassword?: CfnModulePropsParametersXrayDatabasePassword;
    /**
     * @schema CfnModulePropsParameters#XrayMasterDatabaseUrl
     */
    readonly xrayMasterDatabaseUrl?: CfnModulePropsParametersXrayMasterDatabaseUrl;
    /**
     * @schema CfnModulePropsParameters#XrayDatabaseUrl
     */
    readonly xrayDatabaseUrl?: CfnModulePropsParametersXrayDatabaseUrl;
    /**
     * @schema CfnModulePropsParameters#XrayVersion
     */
    readonly xrayVersion?: CfnModulePropsParametersXrayVersion;
    /**
     * Directory to store Artifactory data.
     *
     * Can be used to store data (via symlink) in detachable volume
     *
     * @schema CfnModulePropsParameters#UserDataDirectory
     */
    readonly userDataDirectory?: CfnModulePropsParametersUserDataDirectory;
}
/**
 * Converts an object of type 'CfnModulePropsParameters' to JSON representation.
 */
export declare function toJson_CfnModulePropsParameters(obj: CfnModulePropsParameters | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResources
 */
export interface CfnModulePropsResources {
    /**
     * @schema CfnModulePropsResources#XrayScalingGroup
     */
    readonly xrayScalingGroup?: CfnModulePropsResourcesXrayScalingGroup;
    /**
     * @schema CfnModulePropsResources#XrayLaunchConfiguration
     */
    readonly xrayLaunchConfiguration?: CfnModulePropsResourcesXrayLaunchConfiguration;
}
/**
 * Converts an object of type 'CfnModulePropsResources' to JSON representation.
 */
export declare function toJson_CfnModulePropsResources(obj: CfnModulePropsResources | undefined): Record<string, any> | undefined;
/**
 * Logical Id of the MODULE.
 *
 * @schema CfnModulePropsParametersLogicalId
 */
export interface CfnModulePropsParametersLogicalId {
    /**
     * @schema CfnModulePropsParametersLogicalId#Type
     */
    readonly type: string;
    /**
     * @schema CfnModulePropsParametersLogicalId#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersLogicalId' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersLogicalId(obj: CfnModulePropsParametersLogicalId | undefined): Record<string, any> | undefined;
/**
 * ID of the private subnet in Availability Zone 2 of your existing VPC (e.g., subnet-z0376dab).
 *
 * @schema CfnModulePropsParametersPrivateSubnet2Id
 */
export interface CfnModulePropsParametersPrivateSubnet2Id {
    /**
     * @schema CfnModulePropsParametersPrivateSubnet2Id#Type
     */
    readonly type: string;
    /**
     * @schema CfnModulePropsParametersPrivateSubnet2Id#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersPrivateSubnet2Id' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersPrivateSubnet2Id(obj: CfnModulePropsParametersPrivateSubnet2Id | undefined): Record<string, any> | undefined;
/**
 * ID of the private subnet in Availability Zone 1 of your existing VPC (e.g., subnet-z0376dab).
 *
 * @schema CfnModulePropsParametersPrivateSubnet1Id
 */
export interface CfnModulePropsParametersPrivateSubnet1Id {
    /**
     * @schema CfnModulePropsParametersPrivateSubnet1Id#Type
     */
    readonly type: string;
    /**
     * @schema CfnModulePropsParametersPrivateSubnet1Id#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersPrivateSubnet1Id' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersPrivateSubnet1Id(obj: CfnModulePropsParametersPrivateSubnet1Id | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersKeyPairName
 */
export interface CfnModulePropsParametersKeyPairName {
    /**
     * @schema CfnModulePropsParametersKeyPairName#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersKeyPairName' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersKeyPairName(obj: CfnModulePropsParametersKeyPairName | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersMinScalingNodes
 */
export interface CfnModulePropsParametersMinScalingNodes {
    /**
     * @schema CfnModulePropsParametersMinScalingNodes#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersMinScalingNodes' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersMinScalingNodes(obj: CfnModulePropsParametersMinScalingNodes | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersMaxScalingNodes
 */
export interface CfnModulePropsParametersMaxScalingNodes {
    /**
     * @schema CfnModulePropsParametersMaxScalingNodes#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersMaxScalingNodes' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersMaxScalingNodes(obj: CfnModulePropsParametersMaxScalingNodes | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersDeploymentTag
 */
export interface CfnModulePropsParametersDeploymentTag {
    /**
     * @schema CfnModulePropsParametersDeploymentTag#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersDeploymentTag' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersDeploymentTag(obj: CfnModulePropsParametersDeploymentTag | undefined): Record<string, any> | undefined;
/**
 * JFrog Artifactory product you want to install into an AMI.
 *
 * @schema CfnModulePropsParametersArtifactoryProduct
 */
export interface CfnModulePropsParametersArtifactoryProduct {
    /**
     * @schema CfnModulePropsParametersArtifactoryProduct#Type
     */
    readonly type: string;
    /**
     * @schema CfnModulePropsParametersArtifactoryProduct#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersArtifactoryProduct' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersArtifactoryProduct(obj: CfnModulePropsParametersArtifactoryProduct | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersQsS3BucketName
 */
export interface CfnModulePropsParametersQsS3BucketName {
    /**
     * @schema CfnModulePropsParametersQsS3BucketName#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersQsS3BucketName' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersQsS3BucketName(obj: CfnModulePropsParametersQsS3BucketName | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersQsS3KeyPrefix
 */
export interface CfnModulePropsParametersQsS3KeyPrefix {
    /**
     * @schema CfnModulePropsParametersQsS3KeyPrefix#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersQsS3KeyPrefix' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersQsS3KeyPrefix(obj: CfnModulePropsParametersQsS3KeyPrefix | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersQsS3Uri
 */
export interface CfnModulePropsParametersQsS3Uri {
    /**
     * @schema CfnModulePropsParametersQsS3Uri#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersQsS3Uri' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersQsS3Uri(obj: CfnModulePropsParametersQsS3Uri | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersDatabaseDriver
 */
export interface CfnModulePropsParametersDatabaseDriver {
    /**
     * @schema CfnModulePropsParametersDatabaseDriver#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersDatabaseDriver' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersDatabaseDriver(obj: CfnModulePropsParametersDatabaseDriver | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersDatabaseType
 */
export interface CfnModulePropsParametersDatabaseType {
    /**
     * @schema CfnModulePropsParametersDatabaseType#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersDatabaseType' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersDatabaseType(obj: CfnModulePropsParametersDatabaseType | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersDatabaseUser
 */
export interface CfnModulePropsParametersDatabaseUser {
    /**
     * @schema CfnModulePropsParametersDatabaseUser#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersDatabaseUser' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersDatabaseUser(obj: CfnModulePropsParametersDatabaseUser | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersDatabasePassword
 */
export interface CfnModulePropsParametersDatabasePassword {
    /**
     * @schema CfnModulePropsParametersDatabasePassword#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersDatabasePassword' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersDatabasePassword(obj: CfnModulePropsParametersDatabasePassword | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersMasterKey
 */
export interface CfnModulePropsParametersMasterKey {
    /**
     * @schema CfnModulePropsParametersMasterKey#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersMasterKey' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersMasterKey(obj: CfnModulePropsParametersMasterKey | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersExtraJavaOptions
 */
export interface CfnModulePropsParametersExtraJavaOptions {
    /**
     * @schema CfnModulePropsParametersExtraJavaOptions#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersExtraJavaOptions' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersExtraJavaOptions(obj: CfnModulePropsParametersExtraJavaOptions | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersSecurityGroups
 */
export interface CfnModulePropsParametersSecurityGroups {
    /**
     * @schema CfnModulePropsParametersSecurityGroups#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersSecurityGroups' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersSecurityGroups(obj: CfnModulePropsParametersSecurityGroups | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersXrayHostProfile
 */
export interface CfnModulePropsParametersXrayHostProfile {
    /**
     * @schema CfnModulePropsParametersXrayHostProfile#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersXrayHostProfile' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersXrayHostProfile(obj: CfnModulePropsParametersXrayHostProfile | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersXrayHostRole
 */
export interface CfnModulePropsParametersXrayHostRole {
    /**
     * @schema CfnModulePropsParametersXrayHostRole#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersXrayHostRole' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersXrayHostRole(obj: CfnModulePropsParametersXrayHostRole | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersXrayInstanceType
 */
export interface CfnModulePropsParametersXrayInstanceType {
    /**
     * @schema CfnModulePropsParametersXrayInstanceType#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersXrayInstanceType' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersXrayInstanceType(obj: CfnModulePropsParametersXrayInstanceType | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersJfrogInternalUrl
 */
export interface CfnModulePropsParametersJfrogInternalUrl {
    /**
     * @schema CfnModulePropsParametersJfrogInternalUrl#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersJfrogInternalUrl' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersJfrogInternalUrl(obj: CfnModulePropsParametersJfrogInternalUrl | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersVolumeSize
 */
export interface CfnModulePropsParametersVolumeSize {
    /**
     * @schema CfnModulePropsParametersVolumeSize#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersVolumeSize' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersVolumeSize(obj: CfnModulePropsParametersVolumeSize | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersXrayDatabaseUser
 */
export interface CfnModulePropsParametersXrayDatabaseUser {
    /**
     * @schema CfnModulePropsParametersXrayDatabaseUser#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersXrayDatabaseUser' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersXrayDatabaseUser(obj: CfnModulePropsParametersXrayDatabaseUser | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersXrayDatabasePassword
 */
export interface CfnModulePropsParametersXrayDatabasePassword {
    /**
     * @schema CfnModulePropsParametersXrayDatabasePassword#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersXrayDatabasePassword' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersXrayDatabasePassword(obj: CfnModulePropsParametersXrayDatabasePassword | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersXrayMasterDatabaseUrl
 */
export interface CfnModulePropsParametersXrayMasterDatabaseUrl {
    /**
     * @schema CfnModulePropsParametersXrayMasterDatabaseUrl#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersXrayMasterDatabaseUrl' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersXrayMasterDatabaseUrl(obj: CfnModulePropsParametersXrayMasterDatabaseUrl | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersXrayDatabaseUrl
 */
export interface CfnModulePropsParametersXrayDatabaseUrl {
    /**
     * @schema CfnModulePropsParametersXrayDatabaseUrl#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersXrayDatabaseUrl' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersXrayDatabaseUrl(obj: CfnModulePropsParametersXrayDatabaseUrl | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsParametersXrayVersion
 */
export interface CfnModulePropsParametersXrayVersion {
    /**
     * @schema CfnModulePropsParametersXrayVersion#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersXrayVersion' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersXrayVersion(obj: CfnModulePropsParametersXrayVersion | undefined): Record<string, any> | undefined;
/**
 * Directory to store Artifactory data.
 *
 * Can be used to store data (via symlink) in detachable volume
 *
 * @schema CfnModulePropsParametersUserDataDirectory
 */
export interface CfnModulePropsParametersUserDataDirectory {
    /**
     * @schema CfnModulePropsParametersUserDataDirectory#Type
     */
    readonly type: string;
    /**
     * @schema CfnModulePropsParametersUserDataDirectory#Description
     */
    readonly description: string;
}
/**
 * Converts an object of type 'CfnModulePropsParametersUserDataDirectory' to JSON representation.
 */
export declare function toJson_CfnModulePropsParametersUserDataDirectory(obj: CfnModulePropsParametersUserDataDirectory | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesXrayScalingGroup
 */
export interface CfnModulePropsResourcesXrayScalingGroup {
    /**
     * @schema CfnModulePropsResourcesXrayScalingGroup#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesXrayScalingGroup#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesXrayScalingGroup' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesXrayScalingGroup(obj: CfnModulePropsResourcesXrayScalingGroup | undefined): Record<string, any> | undefined;
/**
 * @schema CfnModulePropsResourcesXrayLaunchConfiguration
 */
export interface CfnModulePropsResourcesXrayLaunchConfiguration {
    /**
     * @schema CfnModulePropsResourcesXrayLaunchConfiguration#Type
     */
    readonly type?: string;
    /**
     * @schema CfnModulePropsResourcesXrayLaunchConfiguration#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnModulePropsResourcesXrayLaunchConfiguration' to JSON representation.
 */
export declare function toJson_CfnModulePropsResourcesXrayLaunchConfiguration(obj: CfnModulePropsResourcesXrayLaunchConfiguration | undefined): Record<string, any> | undefined;
/**
 * A CloudFormation `JFrog::Xray::EC2Instance::MODULE`.
 *
 * @external
 * @cloudformationResource JFrog::Xray::EC2Instance::MODULE
 * @link http://unknown-url
 */
export declare class CfnModule extends cdk.CfnResource {
    /**
     * The CloudFormation resource type name for this resource class.
     *
     * @external
     */
    static readonly CFN_RESOURCE_TYPE_NAME = "JFrog::Xray::EC2Instance::MODULE";
    /**
     * Resource props.
     *
     * @external
     */
    readonly props: CfnModuleProps;
    /**
     * Create a new `JFrog::Xray::EC2Instance::MODULE`.
     *
     * @param scope - scope in which this resource is defined.
     * @param id - scoped id of the resource.
     * @param props - resource properties.
     * @external
     */
    constructor(scope: cdk.Construct, id: string, props: CfnModuleProps);
}
